import { IActionFunctionRegistry } from "./IActionFunctionRegistry";
import { IProvenanceGraph } from "./IProvenanceGraph";
import { ProvenanceNode, NodeIdentifier } from "./Node";
import { IProvenanceGraphTraverser } from "./IProvenanceGraphTraverser";
export declare class ProvenanceGraphTraverser implements IProvenanceGraphTraverser {
    graph: IProvenanceGraph;
    private registry;
    constructor(registry: IActionFunctionRegistry, graph: IProvenanceGraph);
    toStateNode(id: NodeIdentifier): Promise<ProvenanceNode>;
}
