"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Mitt_1 = require("./Provenance/Mitt");
var ActionFunctionRegistry_1 = require("./Provenance/ActionFunctionRegistry");
var ProvenanceGraph_1 = require("./Provenance/ProvenanceGraph");
var Application = /** @class */ (function (_super) {
    __extends(Application, _super);
    function Application(name, version) {
        var _this = _super.call(this) || this;
        _this.name = name;
        _this.version = version;
        _this.viewmodels = [];
        _this.registry = new ActionFunctionRegistry_1.ActionFunctionRegistry();
        _this.graph = new ProvenanceGraph_1.ProvenanceGraph({
            name: _this.name,
            version: _this.version
        });
        return _this;
    }
    return Application;
}(Mitt_1.Mitt));
exports.Application = Application;
//# sourceMappingURL=Application.js.map