"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function generateUUID() {
    // Public domain/MIT
    var d = new Date().getTime();
    if (typeof performance !== "undefined" &&
        typeof performance.now === "function") {
        d += performance.now();
    }
    return "xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx".replace(/[xy]/g, function (c) {
        var r = ((d + Math.random() * 16) % 16) | 0;
        d = Math.floor(d / 16);
        return (c === "x" ? r : (r & 0x3) | 0x8).toString(16);
    });
}
exports.generateUUID = generateUUID;
function generateFunctionUUID() {
    // Public domain/MIT
    var d = new Date().getTime();
    if (typeof performance !== "undefined" &&
        typeof performance.now === "function") {
        d += performance.now();
    }
    return "xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx".replace(/[xy]/g, function (c) {
        var r = ((d + Math.random() * 16) % 16) | 0;
        d = Math.floor(d / 16);
        return (c === "x" ? r : (r & 0x3) | 0x8).toString(16);
    });
}
exports.generateFunctionUUID = generateFunctionUUID;
function generateTimeStamp() {
    return new Date().getTime();
}
exports.generateTimeStamp = generateTimeStamp;
//# sourceMappingURL=Utils.js.map