import { Mitt } from "./Provenance/Mitt";
import { IActionFunctionRegistry } from "./Provenance/IActionFunctionRegistry";
import { IProvenanceGraph } from "./Provenance/IProvenanceGraph";
import { IViewModel } from "./IViewModel";
export declare class Application extends Mitt {
    name: string;
    version: string;
    viewmodels: IViewModel[];
    graph: IProvenanceGraph;
    registry: IActionFunctionRegistry;
    constructor(name: string, version: string);
}
