import { StateNode } from "./Node";
import { Action } from "./Actions";
import { IProvenanceGraph } from "./IProvenanceGraph";
import { IActionFunctionRegistry } from "./IActionFunctionRegistry";
import { IProvenanceTracker } from "./IProvenanceTracker";
export declare class ProvenanceTracker implements IProvenanceTracker {
    registry: IActionFunctionRegistry;
    private graph;
    private username;
    constructor(registry: IActionFunctionRegistry, graph: IProvenanceGraph, username?: string);
    applyAction(action: Action, skipFirstDoFunctionCall?: boolean): Promise<StateNode>;
}
