import { Mitt } from "./Provenance/Mitt";
import { IView } from "./IView";
export class ViewBase implements IView {
  DataContext: any;
  Root: HTMLElement;
  comm: Mitt;

  constructor(root: HTMLElement) {
    this.Root = root;
    this.comm = new Mitt();
    this.comm.on("update", this.update, this);
    this.comm.on("create", this.create, this);
  }

  create() {}

  update(...arg: any[]): void {}
}
